%define upstream_name    Curses-Toolkit
%define upstream_version 0.211

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    An about dialog window
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Curses/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Curses)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(IO::Pty::Easy)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::FollowPBP)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(POE)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Tie::Array::Iterable)
BuildRequires: perl(UNIVERSAL::require) >= 0.130.0
BuildRequires: perl(aliased)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(relative)
BuildArch:  noarch

%description
This module tries to be a modern curses toolkit, based on the Curses
module, to build "semi-graphical" user interfaces easily.

*WARNING* : This is still in "beta" version, not all the features are
implemented, and the API may change. However, most of the components are
there, and things should not change that much in the future... Still, don't
use it in production, and don't consider it stable.

Curses::Toolkit is meant to be used with a main loop, which is
not part of this module. I recommend you POE::Component::Curses,
which is probably what you want. POE::Component::Curses
uses Curses::Toolkit, but provides a main loop and handles keyboard,
mouse, timer and other events, whereas Curses::Toolkit is just the drawing
library. See the example above. the 'spawn' method returns a
Curses::Toolkit object, which you can call methods on.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.211.0-10.mga10
+ Revision: 2211733
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.211.0-9.mga9
+ Revision: 1829928
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.211.0-8.mga8
+ Revision: 1493630
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.211.0-7.mga7
+ Revision: 1266821
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.211.0-6.mga6
+ Revision: 1024749
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.211.0-5.mga6
+ Revision: 934823
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.211.0-4.mga5
+ Revision: 743516
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.211.0-2.mga4
+ Revision: 531915
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 0.211.0-1.mga4
+ Revision: 465753
- update to 0.211

* Fri Aug 09 2013 sander85 <sander85> 0.209.0-1.mga4
+ Revision: 464993
- update to 0.209

* Mon Jul 08 2013 sander85 <sander85> 0.208.0-1.mga4
+ Revision: 451440
- update to 0.208

* Sun Jan 13 2013 umeabot <umeabot> 0.207.0-2.mga3
+ Revision: 364979
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 08 2011 jquelin <jquelin> 0.207.0-1.mga2
+ Revision: 120462
- update to 0.207

* Wed Mar 09 2011 jquelin <jquelin> 0.206.0-1.mga1
+ Revision: 67018
- update to 0.206

* Wed Feb 16 2011 jquelin <jquelin> 0.203.0-1.mga1
+ Revision: 52188
- update to 0.203

* Fri Jan 28 2011 jquelin <jquelin> 0.100.680-1.mga1
+ Revision: 42890
- mageia rebuild
- imported package perl-Curses-Toolkit

